package sgc.portal.cd.cd0301.service;

import java.util.List;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0301.dto.CD03010002PSearch;
import sgc.portal.cd.cd0301.persistence.CD03010002PMapper;

@Service
public class CD03010002PService {

	private final CD03010002PMapper mapper;

	public CD03010002PService(CD03010002PMapper mapper) {
		this.mapper = mapper;
	}

	public EasyHashMap<String, Object> selectwkiodrInfo(CD03010002PSearch search) {
		return mapper.selectWkiodrInfo(search);
	}
	
	public List<EasyHashMap<String, Object>> selectwkiodrmailhisList(CD03010002PSearch search) {
		return mapper.selectWkiodrmailhisList(search);
	}
}
